Executive Summary

Summary
Titlefribidi security update
Informations
NameDSA-4561First vendor Publication2019-11-08
VendorDebianLast vendor Modification2019-11-08
Severity (Vendor) N/ARevision1

Security-Database Scoring CVSS v2

Cvss vector :
Cvss Base ScoreN/AAttack RangeN/A
Cvss Impact ScoreN/AAttack ComplexityN/A
Cvss Expoit ScoreN/AAuthenticationN/A
Calculate full CVSS 2.0 Vectors scores

Detail

Alex Murray discovered a stack-based buffer overflow vulnerability in fribidi, an implementation of the Unicode Bidirectional Algorithm algorithm, which could result in denial of service or potentially the execution of arbitrary code, when processing a large number of unicode isolate directional characters.

For the stable distribution (buster), this problem has been fixed in version 1.0.5-3.1+deb10u1.

We recommend that you upgrade your fribidi packages.

For the detailed security status of fribidi please refer to its security tracker page at: https://security-tracker.debian.org/tracker/fribidi

Original Source

Url : http://www.debian.org/security/2019/dsa-4561

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2019-11-08 09:18:48
  • First insertion